Add-ons, plug-ins Firefox et plantage

[Résolu/Fermé]
Signaler
Messages postés
3628
Date d'inscription
vendredi 29 août 2008
Statut
Membre
Dernière intervention
12 avril 2017
-
Messages postés
559
Date d'inscription
samedi 6 février 2010
Statut
Membre
Dernière intervention
8 juin 2012
-
Bonjour,
Depuis l'installation de quelques gadgets pour Firefox, mon navigateur "rame" et s'ouvre très lentement (parfois plusieurs minutes!), la fermeture étant encore plus lente. J'ai déjà dû effectuer des redémarrages sauvages "au bouton". Il est même arrivé que l'heure reste coincé sur l'horloge du bureau (KDE4).
J'aimerais présenter une liste de ces machin plus ou moins utiles, mais je ne parviens pas à en faire un copier-coller. Je pourrais, à la limite, faire des copies d'écran ou taper la liste à la main... en attendant d'y faire un peu de chasse.
A défaut, existe-t-il un site indépendant traitant de ces problèmes?

P.S: Je suis sous Linux (voir + bas): j'hésite à poster sur le forum Linux...


8 réponses

Messages postés
9978
Date d'inscription
mercredi 22 août 2007
Statut
Contributeur
Dernière intervention
28 décembre 2019
1 828
bonjour
qu'appelles tu qq gadgets?(5-10-15-20-200?)
Sinon commences par les désinstaller en partant du dernier installé.
Messages postés
3628
Date d'inscription
vendredi 29 août 2008
Statut
Membre
Dernière intervention
12 avril 2017
457
Bonsoir Xavstarblues
Réponse: 45* modules complémentaires, dont une trentaine installés à peu près en même temps, récemment, mais je ne sais plus dans quel ordre. (comment le retrouver?)
Suffit-il de les désactiver? J'ai commencé à le faire...
Note: Celui auquel je tiens le plus est NoScript, qui me permet d'activer le Javascript sélectivement selon les sites. Il faut donc le paramétrer manuellement à chaque nouvelle "rencontre", sinon: pas de Java.
Le problème, c'est peut-être justement une interaction éventuelle avec les autres...

* je sais, c'est beaucoup!
Linux Mandriva 2010.0 Firefox 3.6.10
Messages postés
9978
Date d'inscription
mercredi 22 août 2007
Statut
Contributeur
Dernière intervention
28 décembre 2019
1 828
45 c'est en effet beaucoup!
si vous ne connaissez pas l'ordre exact ce n'est pas grave.
je vous conseille de tous les désinstallez, de redémarrez puis d'installer uniquement les plugins utiles (no script est un très bon plugin pour le mode paranoiaque, je confirme)
Sinon en plugins utiles, Adblock, WOT sont bien aussi.
Messages postés
3628
Date d'inscription
vendredi 29 août 2008
Statut
Membre
Dernière intervention
12 avril 2017
457
J'ai les 2 autres aussi.
Merci du conseil: J'essaierai ce week-end, mais je reste ouvert à d'autres tuyaux en attendant.
J'utilise Adblock depuis longtemps, que je désactive sélectivement sur les sites dont les ressources proviennent exclusivement de la pub, par courtoisie (un coup de clic... tant que les publicitaires sont dupes...)

WOT, installé récemment, m'a permis de constater des failles dans un réseau social Texan nommé Quepasa (en espagnol), qui pioche -lui ou un usurpateur- dans les messageries Hotmail (au moins).
Je suis allergique aux réseaux sociaux et à Hotmail, mais j'avais reçu un vrai-faux mail d'un pote - prévenu aussitôt. Une image de présentation (en .psd), me demandant si je voulais m'inscrire (ça va pas, non?!) était corrompue. Le pote avait d'ailleurs répondu oui.
C'est à la recherche d'un site tel que WOT que j'ai, dans la foulée, installé ces extensions +/- utiles.
Je me demande donc, mais je suis sans doute un peu parano, si un virus aurait pu s'installer ainsi...

Bonne soirée.
Linux Mandriva 2010.0 Firefox 3.6.10
Messages postés
559
Date d'inscription
samedi 6 février 2010
Statut
Membre
Dernière intervention
8 juin 2012
213
bonsoir,


Ouai en effet ça peut ptêt commencer à faire beaucoup.

A savoir s'ils te sont tous utiles, ou du moins ptêt que certain ne servent pas très souvent et qu'il peut être préférable de les activer uniquement en cas de besoin. Et y en a ptêt qui font la même fonction ?

Pour copier la liste, vas dans le menu "Aide" --> "informations de dépannage" et là y a un bouton "tout copier dans le presse papier".
Par contre une fois copier dans ton post tu peux supprimer toute la partie "Préférences modifer".


ps: la dernière version actuelle est la 3.6.12.
Messages postés
3628
Date d'inscription
vendredi 29 août 2008
Statut
Membre
Dernière intervention
12 avril 2017
457
Bonsoir Haméwitapa

"la dernière version actuelle est la 3.6.12.": pas avec ma config.

Un grand merci pour le moyen de copier la liste:

FEBE 6.3.3.2 true
FireDownload 2.0.1 true firedownload@mozilla.org
Flagfox 4.0.11 true
Ghostery 2.4.2 true firefox@ghostery.com
TinEye Reverse Image Search 1.0 true tineye@ideeinc.com
WebMail Notifier 2.6.4 true
Adblock Plus 1.3.1 true
PlasmaNotify 0.3.1 true plasmanotify@andreas-demmer.de
AddonFox 1.1.5 true
KwiClick 2.6.1.731 true vinceturk@gmail.com
Surf Canyon - Search Engine Assistant 3.1.2 true
Download Statusbar 0.9.7.2 true
SkipScreen 0.5.14amo true SkipScreen@SkipScreen
Billeo 2.1.1.0 true
Context Search 0.4.5 true
Linkification 1.3.8 true
ReloadEvery 4.0.1 true
Resurrect Pages 2.0.5 false
SimilarWeb 1.1.9 true FirefoxAddon@similarWeb.com
Dictionary Switcher 1.0.1 true dictionary-switcher@design-noir.de
FoxLingo 2.6.6 true
Image Zoom 0.4.4 true
Screengrab 0.96.3 true
TweakMDB 1.0.2 true
TweakTube 1.0.4 true
Console² 0.6.1 true
Extended Statusbar 1.5.6 true
Firebug 1.5.4 true firebug@software.joehewitt.com
FoxyProxy Standard 2.22.1 true foxyproxy@eric.h.jung
HttpFox 0.8.8 true
YSlow 2.1.0 true yslow@yahoo-inc.com
LinkExtend 1.1.1 true
NoScript 2.0.5.1 true
BrowserProtect 1.1.1 true browserprotect@browserprotect.com
Better Gmail 2 1.2 true bettergmail2@ginatrapani.org
NoSquint 2.0.3 true nosquint@urandom.ca
Readability 1.2 true
Searchbar Autosizer 1.4.7 true
SmoothWheel (AMO) 0.45.6.20100202.1 true
Tab Progress Bar 0.6 true tabprogressbar@studio17.wordpress.com
Default Full Zoom Level 4.3 true
Add to Search Bar 2.0 true add-to-searchbox@maltekraus.de
Window Shopper - Powered by Superfish 1.2.0.5 true superfish@superfish.com
CuteMenus - Crystal SVG 1.9.3 true

C'est un peu "brut de décoffrage" ,mais je pense qu'on peut s'y retrouver.
Les statuts true et false correspondent à des états très provisoires d'activation/désactivation. Je ne sais pas si la désactivation suffit (voir + haut). Comme je n'y connais pas grand'chose, j'ai effacé, par mesure de sécurité, les adresses entre {}.
Je compte bien tout reprendre d'une façon + rationnelle ce W.E., mais je suis trop crevé, ce soir...

P.S: J'ai désactivé ou désinstallé deux bons tiers de tout ce bazar, et je retrouve enfin mon bon vieux navigateur! Il y avait bien des double-emplois. Je vais peut-être réactiver, au fur et à mesure, un truc ou deux, pour voir ce qui déc.....
Je place en "résolu", mais je reviendrai.
Merci.

Linux Mandriva 2010.0 Firefox 3.6.10
Messages postés
559
Date d'inscription
samedi 6 février 2010
Statut
Membre
Dernière intervention
8 juin 2012
213
et bé... en effet y a du monde :)

Oui pour se rendre compte et faire un test "désactiver" suffit.


En ce qui me concerne, je suis pas persuader que "AddonFox" soit indispensable. Je pense que si nécessaire, en se rendant sur la page officielle (en choisissant la catégorie voulue) c'est suffisant et ça permet de se documenter par soi-même.


"Default Full Zoom Level" inutile vu que tu as aussi "NoSquint" (qui de plus est, à mon goût, bien plus simple d'utilisation)



Ptêt que ça fait beaucoup au niveau de celles qui gèrent la sécurité et que ça peut ptêt jouer sur la rapidité de l'affichage des pages.
Je suis pas expert mais je pense que quand t'as déjà "NoScript", "Wot", + les fonctions intégrées à FF ,c'est déjà pas mal.
J'utilise aussi "CSLite". On peut s'en passer car FF intègre déjà la gestion des Cookies, mais je trouve ça plus pratique avec.



De toutes façons, pour certaine c'est le temps (l'expérience) qui te dira si elles te sont vraiment utiles. (du genre "Extended Statusbar", "Tab Progress Bar"...mais ce n'est que mon avis;) )

A savoir aussi que FF vérifie à son lancement si des mises à jour sont dispo pour ces extensions (si l'option "vérifier automatiquement les màj" est cochée) et que donc plus il y en a, plus son lancement peut être long.
Messages postés
3628
Date d'inscription
vendredi 29 août 2008
Statut
Membre
Dernière intervention
12 avril 2017
457
Bonjour
D'accord en tous points:
AddonFox m'a fait installer un tas de trucs inutiles. Ce n'est pourtant pas dans mes habitudes de me faire avoir par la pub. Viré.
Full Zoom Level faisait bien double-emploi avec NoSquint: Viré car NoSquint fonctionne mieux. Il m'arrive néanmoins de le désactiver aussi, car l'extrapolation des pixels est désagréable sur certains sites (tout dépend de ton écran et de celui pour lequel ils sont optimisés).
La recherche des mises à jour est en manuel (j'ai, d'ailleurs ,une M.à.J. ce matin pour NoScript: 2.0.7 au lieu de 2.0.5.1. Celle-ci, je vais la faire.

Bonne journée.
Messages postés
559
Date d'inscription
samedi 6 février 2010
Statut
Membre
Dernière intervention
8 juin 2012
213
bonjour,

Je sais pas si tu l'a conservé, mais j'ai oublié hier, je rajouterai aussi que "Download Statusbar" ne me semble pas non plus vraiment utile:
si la fenêtre de téléchargement n'est pas affichée, FF affiche quand-même nativement les principales infos dans la barre d'état (mais c'est encore qu'un avis perso)


Par contre j'ai pas bien saisi le problème avec NoSquint...???
Il est possible de régler le zoom indépendamment pour chaque site, et de conserver ces valeurs (tout comme le fait FF nativement).
Par exemple, j'ai choisi d'avoir un zoom par défaut de 140% ,mais pour un site donné je peux choisir un réglage différent et le retrouver à chaque nouvelle visite sur celui-ci.



Hors Sujet: quand-même bizarre ce système de version avec Linux; je découvre tout ça depuis peu avec Mint, et avec Mint 9 les versions maxi dispo dans les paquets pour VLC -> 1.0.6 ,Gimp -> 2.6.8 ,ThunderBird reste avec la branche 3.0.
Avec Mint 10 c'est ok pour les dernières versions.
Et là dans ton cas, tu disposes pas de la mise à jour alors qu'elle est pourtant présente sur le site officiel :/ (et je pense pas que le fait d'être sous Linux dispense d'installer des màj de stabilité et de sécurité. A moins que j'ai pas compris, et que c'est toi qui as choisi de rester comme ça)

Enfin tout ça est une autre histoire... ;)
Messages postés
9978
Date d'inscription
mercredi 22 août 2007
Statut
Contributeur
Dernière intervention
28 décembre 2019
1 828
Chaque distribution gère ses dépots à sa facon, Gentoo est par exemple toujours sur la brèche des nouvelles versions, Debian par contre est plus lente mais n'utilise que des versions testés et validés à 5000%
Messages postés
559
Date d'inscription
samedi 6 février 2010
Statut
Membre
Dernière intervention
8 juin 2012
213
Merci pour ces infos ;)

N'empêche que c'est surprenant quand-même:
- la branche vlc 1.1 est sortie depuis Juin (bon admettons, d'accord)
- Gimp 2.6.8 va avoir 1 an, il en est à la 2.6.11, et la 2.6.9 date aussi de Juin.
- la branche ThunderBird 3.1 est sortie en ... Juin
Mais par exemple pour ThunderBird c'est plutôt le fait de ne pas prendre une version plus moderne, avec de nouvelles fonctionnalités.

Et si ces versions sont jugées ok pour Mint 10, pourquoi ne pas les rendre dispo pour Mint 9 ?

Enfin, je te remercie encore, et j'ai encore tout à apprendre de Linux, et je veux pas polluer le topic de "laotseu" avec ça, c'était juste une remarque en passant.
[...n'empêche que c'est troublant de ne pas recevoir des màj mineures... ;) ]
Messages postés
9978
Date d'inscription
mercredi 22 août 2007
Statut
Contributeur
Dernière intervention
28 décembre 2019
1 828
Salut
je ne connais pas exactement le cycle de vie de la distribution mint, mais il est généralement admis que les logiciels ne sont pas mis à jour au bout d'un certain moment sur la version XYZ, seuls les mises à jours de sécurité sont possibles.
Mais rien ne t'empeche d'aller chercher les sources et d'installer manuellement le logiciel :)
Messages postés
559
Date d'inscription
samedi 6 février 2010
Statut
Membre
Dernière intervention
8 juin 2012
213
oui exact, c'est ce que j'ai fait pour certain, bien que que le gestionnaire indique que c'est pas recommandé, alors que par exemple la page officielle de FF indique que c'est préférable de le prendre ici (c'est parfois l'embrouille).

Bref je vais prendre le temps de me familiariser avec tout ça, merci :)